Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Class RebindChannelException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.openorb.net.RebindChannelException

All Implemented Interfaces:
  java.io.Serializable

public class RebindChannelException
extends java.lang.Exception

This exception is thrown to indicate the target channel has been replaced with a new implementation. Update the binding and retry using the new channel.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`RebindChannelException(ClientChannel channel, java.lang.Object transportAssociation)` Creates new `RetryChannelException` without detail message.

Method Summary
`ClientChannel` | `getClientChannel()` Get the new client channel.
`java.lang.Object` | `getTransportAssociation()` Get the new transport association.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RebindChannelException

    public RebindChannelException(ClientChannel channel,
                                  java.lang.Object transportAssociation)

  Creates new `RetryChannelException` without detail message.

Method Detail

### getClientChannel

    public ClientChannel getClientChannel()

  Get the new client channel.

### getTransportAssociation

    public java.lang.Object getTransportAssociation()

  Get the new transport association.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD